## org.apache.mahout.common
Class TimingStatistics.LeadTimeCall

    java.lang.Object
      org.apache.mahout.common.TimingStatistics.Call
          org.apache.mahout.common.TimingStatistics.LeadTimeCall

Enclosing class:
  TimingStatistics

    public final class TimingStatistics.LeadTimeCall

extends TimingStatistics.Call

Ignores counting the performance metrics. The caller should enough time for the JIT to warm up.

Field Summary

Fields inherited from class org.apache.mahout.common.TimingStatistics.Call
`startTime`

Method Summary
`void` `end()`
`boolean` `end(long sumMaxUsec)` Returns true if the sumTime as reached this limit;

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### end

    public void end()

  Overrides:
    `end` in class `TimingStatistics.Call`

### end

    public boolean end(long sumMaxUsec)

  Description copied from class: `TimingStatistics.Call`
  Returns true if the sumTime as reached this limit;

  Overrides:
    `end` in class `TimingStatistics.Call`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.